Skip to content
Search
Search the documentation
OAuthAuthorizationCodeTokenRequestBodySchema
GitHub GitHub

OAuthAuthorizationCodeTokenRequestBodySchema

Variable: OAuthAuthorizationCodeTokenRequestBodySchema

const OAuthAuthorizationCodeTokenRequestBodySchema: ZodMiniObject<{ client_id: ZodMiniString<string>; client_secret: ZodMiniOptional<ZodMiniString<string>>; code: ZodMiniString<string>; code_verifier: ZodMiniString<string>; grant_type: ZodMiniLiteral<"authorization_code">; redirect_uri: ZodMiniString<string>; }, $strip>

Defined in: v1/schemas/oauth.ts:101

Request body for exchanging an authorization code for an access token (Authorization Code + PKCE flow). client_secret may be omitted if sent instead as HTTP Basic authentication.

  • POST /v1/oauth2/token

See

https://datatracker.ietf.org/doc/html/rfc7636